<?php
//deklaracje zmiennych
$A = 1;
$B = 1;
$C = -2;

//wy&para;wietlenie parametrów równania
echo("Parametry równania: <br>");
echo("A = $A, B = $B, C = $C <br>");

//sprawdzenie, czy jest to równanie kwadratowe

//a jest równe zero, równania nie jest kwadratowe
if ($A == 0){
  //$A jest równe zero, równania nie jest kwadratowe
  echo("To nie jest równanie kwadratowe: A = 0!");
}
else{
  //A jest różne od zera, równanie jest kwadratowe

  //obliczenie delty
  $delta = $B * $B - 4 * $A * $C;

  //jesli delta mniejsza od zera
  if ($delta < 0){
     echo ("Delta < 0<br>");
     echo ("To równanie nie ma rozwi&plusmn;zania w zbiorze liczb rzeczywistych!");
  }
  //jesli delta równa zero
  else if($delta == 0){
    //obliczenie wyniku
    $wynik = - $B / (2 * $A);
    echo("Rozwi&plusmn;zanie: x = $wynik");
  }
  //jesli delta większa od zera
  //można też rezygnować z badania tego warunku i zastosować sam&plusmn; instrukcję else
  else if($delta > 0){
    //obliczenie wyników
    $wynik = (- $B + sqrt($delta)) / (2 * $A);
    echo("Rozwi&plusmn;zanie: x1 = $wynik");
    $wynik = (- $B - sqrt($delta)) / (2 * $A);
    echo(", x2 = $wynik");
  }
}

?>
